﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using DynamicStyling.Business_Classes;
using System.Windows.Media;
using System.Windows;

namespace DynamicStyling.Converters
{
    public class DoubleToUnderline : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            if (value is int)
            {
                int temp = (int)value;
                if (temp > 20 && temp <= 45)
                    return TextDecorations.Underline;
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
